## ros-noetic-ros-speech-recognition 2.1.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_speech_recognition)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/SpeechRecognition.cfg
)

catkin_package()

catkin_generate_virtualenv()

catkin_install_python(
  PROGRAMS scripts/speech_recognition_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  catkin_install_python(
    PROGRAMS scripts/speech_recognition_node.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
  add_rostest(test/sample_ros_speech_recognition.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
  roslaunch_add_file_check(launch/speech_recognition.launch)
endif()

=== requirements.txt ===
SpeechRecognition==3.8.1

=== debian/changelog ===
ros-noetic-ros-speech-recognition (2.1.21-2buster) buster; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.20-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.19-2buster) buster; urgency=high

  * Fixed issue #201 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/201> as requested, see https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/202
  * Contributors: MrMarshy

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.18-2buster) buster; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * fix 2to3, with print, raise, exception
    
  * [ros_speech_recognition] Enable multi channel audio recognition (#198 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/198>)
    
      * adjust type code to the CPU platform
      * replace rosparam name: channels -> n_channel
      * add rosparam description to README
      * enable multi channel audio recognition
    
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * Add flac as run_depend for SpeechRecognition pip package
      * Use catkin_virtualenv to use SpeechRecognition pip package
      * Add arguments and params to pass rostest
      * Add test for ros_speech_recognition
      * add args to launch
      * add pip install to tutorials
      * add param description to README
    
  * Contributors: Kei Okada, Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.17-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.16-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.15-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.14-2buster) buster; urgency=high

  * set SoundRequest.volume for kinetic (#173 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/173>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.13-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.12-2buster) buster; urgency=high

  * fixes GoogleCloud auth (#158 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/158>)
  * Contributors: jonasius

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.11-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.10-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.9-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.8-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.7-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.6-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.5-2buster) buster; urgency=high

  * ros_speech_recognition: add continuous mode (#127 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/127>)
  * ros_speech_recognition: add README (#123 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/123>)
  * add ros_speech_recognition package (#121 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/121>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.4-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.3-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.2-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.1-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.0-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.0.20-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.0.19-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-ros-speech-recognition (2.0.18-2buster) buster; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-ros-speech-recognition
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), g++, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-dynamic-reconfigure, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-speech-recognition-msgs
Homepage: https://pypi.python.org/pypi/SpeechRecognition/
Standards-Version: 3.9.2

Package: ros-noetic-ros-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, ros-noetic-audio-capture, ros-noetic-audio-common-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-sound-play, ros-noetic-speech-recognition-msgs
Description: ROS wrapper for Python SpeechRecognition library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.

	## WORKAROUND FOR FIX http://build.ros.org/view/Mbin_uB64/job/Mbin_uB64__ros_speech_recognition__ubuntu_bionic_amd64__binary/37/consoleText
	## https://stackoverflow.com/questions/28949154/trying-to-package-unity-game-in-ubuntu-linux-debian/29311292
	## if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	## dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ros-speech-recognition//opt/ros/noetic/lib/
	echo "Skipping dh_shlibdeps"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

override_dh_strip:
	dh_strip $-Xflac

## ros-noetic-ros-speech-recognition 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_speech_recognition)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/SpeechRecognition.cfg
)

add_custom_target(${PROJECT_NAME}_install_trained_data ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_trained_data.py)

catkin_package()

execute_process(COMMAND bash -c "gcc -dumpmachine" OUTPUT_VARIABLE gcc_dump_machine OUTPUT_STRIP_TRAILING_WHITESPACE)
message("-- gcc dumpmachine returns ${gcc_dump_machine}")
if($ENV{ROS_DISTRO} STREQUAL "indigo" OR
    (($ENV{ROS_DISTRO} STREQUAL "kinetic") AND (NOT(gcc_dump_machine MATCHES "x86_64-.*"))) OR
    (($ENV{ROS_DISTRO} STREQUAL "melodic") AND (NOT(gcc_dump_machine MATCHES "x86_64-.*"))))
  message(WARNING "SpeechRecognition==3.9.0 and vosk does not work on Python 3.4, which available on Indigo")
  message(WARNING "SpeechRecognition==3.9.0 and vosk does not work on Arm nor i386")
  message(WARNING "so we only use old SpeechRecognition without vosk")
  file(COPY requirements.txt.indigo DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  execute_process(
    COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/requirements.txt.indigo ${CMAKE_CURRENT_SOURCE_DIR}/requirements.txt
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  catkin_generate_virtualenv(PYTHON_INTERPRETER python2)
else()
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
    )
endif()

file(GLOB PYTHON_SCRIPT_FILES scripts/*.py test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslaunch REQUIRED)
  add_rostest(test/sample_ros_speech_recognition.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
  roslaunch_add_file_check(launch/speech_recognition.launch)
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== debian/changelog ===
ros-noetic-ros-speech-recognition (2.1.28-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.25-1focal) focal; urgency=high

  * [ros_speech_recognition] Add vosk engine (#474 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/474>)
  * Pr/use sound themes freedesktop (#472 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/472>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * add self.conf_thresh in __init__ function (#457 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/457>)
  * [ros_speech_recognition] add ubuntu-sounds dependency (#453 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/453>)
  * [ros_speech_recognition] Return if result is empty (#443 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/443>)
  * [ros_speece_recognition] Set confidence value of google (#434 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/434>)
  * [ros_speech_recognition] add parrotry.launch (#414 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/414>)
  * [ros_ speech_recognition] update default arg for speech_recognition.launch (#412 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/412>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [ros_speech_recognition] add self cancellation for speech recogntion (#413 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/413>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * add ROS interface for https://cloud.google.com/natural-language (#304 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/304>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * .github/workflow:  integrate all yaml to one (#338 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/338>)
  * [ros_speech_recognition] Fixed the behavior of launch file (#336 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/336>)
  * [ros_speech_recognition] add auto_start in speech_recognition_node.py (#301 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/301>)
  * [ros_speech_recognition] add SpeechRecognitionCandidatesToString node (#303 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/303>)
  * Enable sound play flag (#315 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/315>)
  * Contributors: Aiko Ichikura, Aoi Nakane, Kei Okada, Koki Shinjo, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata, Iory Yanokura

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.24-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.23-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.22-1focal) focal; urgency=high

  * enable to change topic name from speech_recognition.launch (#254 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/254>)
  * support SpeakerDiarization, see https://cloud.google.com/speech-to-text/docs/reference/rest/v1/speech/recognize#SpeechRecognitionAlternative (#244 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/244>)
    
      * [ros_speech_recognition] Add doc to speech_recognition.launch
        add doc to args, and we need to use rosparm for device, not param. because 'device: ' causes
        load_parameters: unable to set parameters (last param was [/speech_recognition/depth=16]): cannot marshal None unless allow_none is enabled  error
      * more exception message for self.recognize
    
  * Use PYTHON_INTERPRETER python3 in ros_speech_recognition (#225 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/225>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.21-1focal) focal; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.20-1focal) focal; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.19-1focal) focal; urgency=high

  * Fixed issue #201 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/201> as requested, see https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/202
  * Contributors: MrMarshy

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-ros-speech-recognition (2.1.18-1focal) focal; urgency=high



=== debian/control ===
Source: ros-noetic-ros-speech-recognition
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), g++, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-dynamic-reconfigure, ros-noetic-jsk-data, ros-noetic-roslaunch <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-speech-recognition-msgs
Homepage: https://pypi.python.org/pypi/SpeechRecognition/
Standards-Version: 3.9.2

Package: ros-noetic-ros-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-gnupg, python3-pycryptodome, ros-noetic-audio-capture, ros-noetic-audio-common-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-jsk-data, ros-noetic-sound-play, ros-noetic-speech-recognition-msgs, sound-theme-freedesktop
Description: ROS wrapper for Python SpeechRecognition library

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
